import numpy as np
from povm_toolbox.library import MutuallyUnbiasedBasesMeasurements
povm = MutuallyUnbiasedBasesMeasurements(
    2,
    bias=np.array([[0.1, 0.6, 0.3], [0.5, 0.25, 0.25]]),
    angles=np.array([[np.pi/4, np.pi/4, np.pi/4], [np.pi/3, np.pi/6, np.pi/3]]),
)
print(povm)
# Expected:
## MutuallyUnbiasedBasesMeasurements(num_qubits=2, bias=array([[0.1 , 0.6 , 0.3 ], [0.5 , 0.25, 0.25]]),
##     angles=array([[0.78539816, 0.78539816, 0.78539816], [1.04719755, 0.52359878, 1.04719755]]))
povm.definition().draw_bloch()
# Expected:
## <Figure size 1000x500 with 2 Axes>
